# Class XmlErrorHandler

java.lang.Object
org.apache.tomcat.util.descriptor.XmlErrorHandler

All Implemented Interfaces:
  `ErrorHandler`

public class XmlErrorHandler extends Object implements ErrorHandler

## Constructor Summary

Constructors
Constructor
Description
`XmlErrorHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`error(SAXParseException exception)`
`void`
`fatalError(SAXParseException exception)`
`List<SAXParseException>`
`getErrors()`
`List<SAXParseException>`
`getWarnings()`
`void`
`logFindings(Log log, String source)`
`void`
`warning(SAXParseException exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlErrorHandler

public XmlErrorHandler()

## Method Details

### error

public void error(SAXParseException exception) throws SAXException

Specified by:
  `error` in interface `ErrorHandler`
Throws:
  `SAXException`

### fatalError

public void fatalError(SAXParseException exception) throws SAXException

Specified by:
  `fatalError` in interface `ErrorHandler`
Throws:
  `SAXException`

### warning

public void warning(SAXParseException exception) throws SAXException

Specified by:
  `warning` in interface `ErrorHandler`
Throws:
  `SAXException`

### getErrors

public List<SAXParseException> getErrors()

### getWarnings

public List<SAXParseException> getWarnings()

### logFindings

public void logFindings(Log log, String source)